summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorsyderitic <onun23@gmail.com>2016-12-04 22:38:37 +0000
committerMichał Górny <mgorny@gentoo.org>2016-12-20 18:51:17 +0100
commitd09001707cb2b03c4cefccb63e1b5293c23aa59a (patch)
tree7e97d199f646d00ee1a54c175508c84198f28c81 /eclass
parentdev-python/github3: Added long description (diff)
downloadgentoo-d09001707cb2b03c4cefccb63e1b5293c23aa59a.tar.gz
gentoo-d09001707cb2b03c4cefccb63e1b5293c23aa59a.tar.bz2
gentoo-d09001707cb2b03c4cefccb63e1b5293c23aa59a.zip
cuda.eclass: fix g++ check
Currently the check against *g++* doesn't work, thus the NVCCFLAGS are never set accordingly. The check for gnu is now made through tc-is-gcc.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/cuda.eclass2
1 files changed, 1 insertions, 1 deletions
diff --git a/eclass/cuda.eclass b/eclass/cuda.eclass
index f8d7188a9b78..cc92a3466256 100644
--- a/eclass/cuda.eclass
+++ b/eclass/cuda.eclass
@@ -47,7 +47,7 @@ cuda_gccdir() {
local gcc_bindir ver args="" flag ret
# Currently we only support the gnu compiler suite
- if [[ $(tc-getCXX) != *g++* ]]; then
+ if ! tc-is-gcc ; then
ewarn "Currently we only support the gnu compiler suite"
return 2
fi